# $Revision: 1.26 $, $Date: 2011/08/28 21:11:41 $
Summary:	JavaScript bindings for GNOME
Summary(pl.UTF-8):	Wiązania JavaScript dla GNOME
Name:		gjs
Version:	0.7.14
Release:	6
License:	MIT and (MPL v1.1 / GPL v2+ / LGPL v2+)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gjs/0.7/%{name}-%{version}.tar.bz2
# Source0-md5:	0e1487e066df8937317da34545f7b548
Patch0:		%{name}-rpath.patch
Patch1:		%{name}-xulrunner-5.0.patch
URL:		http://live.gnome.org/Gjs
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	cairo-gobject-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gobject-introspection-devel >= 0.10.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	xulrunner-devel >= 1.9.2
%requires_eq	xulrunner-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gjs allows using GNOME libraries from JavaScript. It is mainly based
on Spidermonkey JavaScript engine and the GObject introspection
framework.

%description -l pl.UTF-8
Gjs pozwala używać bibliotek GNOME z JavaScript. Bazuje głównie na
silniku JavaScript Spidermonkey i systemie GObject introspection.

%package devel
Summary:	Header files for gjs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gjs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel
Requires:	glib2-devel >= 1:2.16.0
Requires:	gobject-introspection-devel >= 0.9.5
Requires:	xulrunner-devel

%description devel
Header files for gjs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gjs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

cp examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gjs-1.0/*.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_bindir}/gjs
%attr(755,root,root) %{_bindir}/gjs-console
%attr(755,root,root) %{_libdir}/libgjs-dbus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgjs-dbus.so.0
%attr(755,root,root) %{_libdir}/libgjs-gi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgjs-gi.so.0
%attr(755,root,root) %{_libdir}/libgjs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgjs.so.0
%dir %{_libdir}/gjs-1.0
%attr(755,root,root) %{_libdir}/gjs-1.0/cairoNative.so
%attr(755,root,root) %{_libdir}/gjs-1.0/console.so
%attr(755,root,root) %{_libdir}/gjs-1.0/dbusNative.so
%attr(755,root,root) %{_libdir}/gjs-1.0/debugger.so
%attr(755,root,root) %{_libdir}/gjs-1.0/gettextNative.so
%attr(755,root,root) %{_libdir}/gjs-1.0/gi.so
%attr(755,root,root) %{_libdir}/gjs-1.0/langNative.so
%attr(755,root,root) %{_libdir}/gjs-1.0/mainloop.so
%{_datadir}/gjs-1.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgjs-dbus.so
%attr(755,root,root) %{_libdir}/libgjs-gi.so
%attr(755,root,root) %{_libdir}/libgjs.so
%{_includedir}/gjs-1.0
%{_pkgconfigdir}/gjs-1.0.pc
%{_pkgconfigdir}/gjs-dbus-1.0.pc
%{_pkgconfigdir}/gjs-gi-1.0.pc
%{_pkgconfigdir}/gjs-internals-1.0.pc
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gjs.spec,v $
Revision 1.26  2011/08/28 21:11:41  glen
- release 6

Revision 1.25  2011/07/23 18:52:20  megabajt
- release 5

Revision 1.24  2011/06/23 15:55:35  megabajt
- fixed build with xulrunner 5.0
- release 4

Revision 1.23  2011/06/23 11:47:11  arekm
- release 3

Revision 1.22  2011/05/04 21:01:20  megabajt
- release 2

Revision 1.21  2011/04/04 15:35:09  kiesiu
- up to 0.7.14

Revision 1.20  2011/04/03 19:59:48  kiesiu
- needs to be rebuilt with current xulrunner; rel 2

Revision 1.19  2011/03/23 20:34:06  megabajt
- added %requires_eq xulrunner-libs

Revision 1.18  2011/03/11 16:48:26  wiget
- up to 0.7.13

Revision 1.17  2011/02/25 08:25:35  caleb
- Up to 0.7.11

Revision 1.16  2011/02/15 16:30:39  wiget
- updated to 0.7.10

Revision 1.15  2011/01/24 13:36:59  caleb
- Up to 0.7.9

Revision 1.14  2011/01/08 18:21:19  wiget
- 0.7.8

Revision 1.13  2010/11/17 06:09:28  megabajt
- updated to 0.7.7

Revision 1.12  2010/11/10 22:40:12  megabajt
- updated to 0.7.6

Revision 1.11  2010/10/31 22:06:50  megabajt
- updated to 0.7.5

Revision 1.10  2010/10/15 05:14:38  aredridel
- 0.7.4
- Fix path to libmozjs.so, since it's in /usr/lib/xulrunner/

Revision 1.9  2010/07/22 21:56:08  patrys
- 0.7.1

Revision 1.8  2010/07/22 18:20:19  patrys
- patch for new gi

Revision 1.7  2010/06/22 19:20:04  patrys
- 0.7

Revision 1.6  2010/03/19 19:09:27  megabajt
- updated to 0.6

Revision 1.5  2010/02/18 00:28:00  sparky
- dropped erroneus BR: python-modules -- it comes from gobject-introspection

Revision 1.4  2010/02/17 23:58:14  sparky
- BR: libstdc++-devel, python-modules

Revision 1.3  2010/02/17 11:09:45  megabajt
- updated to 0.5

Revision 1.2  2009/10/17 08:29:36  wiget
- force -j1 for make install to workaround relinking problem
- rel 2

Revision 1.1  2009/10/09 13:20:41  megabajt
- new

